Drobo

Mac OS - Future Incompatible Drobo Extension

I have on several occasions now had a System generated message saying that a system extension signed ‘Drobo’ has been loaded which will be incompatible with a future version of macOS. Contact the developer for support.
Has anyone obtained a helpful response from Drobo Support about this?

Same here. I’m using a Drobo 3rd Gen. Is this due to the 32 bit vs. 64 bit thing? I thought that was a Catalina thing and had already passed. My Drobo is still working well. Hoping they will resolve the problem with an update near the Big Sur release date.

Sounds like you might still have a copy of a 32bit drive or extension installed. You can use a free software like EtreCheck to find all the 32 bit extensions etc. and remove them. Make a copy of the extension so that it’s easy to replace if you need it.

This is the reply I received from Drobo Support.
This messaging is related to changes that will take place on future versions of macOS, in which kernel System Extensions will no longer be needed.

No further action is required, just click OK. ​

Drobo continues to be compatible with macOS 10.15 and we are currently testing macOs next release Big Sur.

For additional information regarding Catalina:

macOS 10.15 Catalina - Frequently Asked Questions